package de.mhus.lib.form.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import de.mhus.lib.form.MFormModel;

@Retention(RetentionPolicy.RUNTIME)
public @interface FormElement {
	
	String value() default "";
	int sort() default -1;
	MFormModel.TYPE type() default MFormModel.TYPE.TEXT;
	String nls() default "";
	String title() default "";
	String schema() default "";
}
