package de.mhus.lib.form.objects;

import de.mhus.lib.config.IConfig;
import de.mhus.lib.form.FormException;
import de.mhus.lib.form.MFormModel;

public class FStringList extends FObject {

	private IDynTableProvider dataProvider;

	@Override
	protected void setFormValue(Object value) throws FormException {
		dataProvider = (IDynTableProvider)value;
	}

	@Override
	public Object getFormValue() {
		return dataProvider;
	}

	@Override
	protected Class<?> getFormValueClass() {
		return IDynTableProvider.class;
	}
		
	@Override
	public void initWithConfig(MFormModel form2, IConfig config) throws FormException {
	}
	
	public IDynTableProvider getDataProvider() {
		return dataProvider;
	}
	
}
