package de.mhus.lib.jmx;

@JmxManaged(descrition = "Integer Value")
public class JmxInteger extends MJmx {

	private int value;

	public JmxInteger(String name) {
		super(true,name);
	}
	
	public JmxInteger setValue(int value) {
		this.value = value;
		return this;
	}
	
	@JmxManaged
	public int getValue() {
		return value;
	}

	public String toString() {
		return String.valueOf(value);
	}

}
