package de.mhus.lib.aao;

import de.mhus.lib.cao.CaoElement;
import de.mhus.lib.cao.CaoException;

public abstract class AaoElement extends CaoElement {


	private AaoFactory factory;

	protected AaoElement(AaoElement parent) throws CaoException {
		super(parent);
		factory = parent.getFactory();
	}

	public AaoFactory getFactory() {
		return factory;
	}
	
}
