package de.mhus.lib.adb.model;


public class FeatureCut extends Feature {

	private boolean cutAll;

	public void doInit() {
		cutAll = table.getAttributes().getBoolean("cut_all", false);
	}
	
	public Object get(Object obj, Field field, Object val) {
		
		if ( ( cutAll || field.getAttributes().getBoolean("cut",false) ) && val != null && val instanceof String && ((String)val).length() > field.getSize()) {
			log().t("cut",field);
			val = ((String)val).substring(0,field.getSize());
		}
		return val;
	}

}
