package de.mhus.lib.adb.model;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.HashMap;
import java.util.Map;

import de.mhus.lib.config.IConfig;
import de.mhus.lib.sql.DbResult;

public class FieldVirtual extends Field {

	public FieldVirtual(Table table, String name, boolean isPrimary, Method setter,
			Method getter, Class<?> ret, IConfig attr2) {
		this.nameOrg = name;
		this.table = table;
		this.name = nameOrg.toLowerCase();
		this.createName = name.toLowerCase();
		this.methodName = name;
		this.isPrimary = isPrimary;
		this.setter = setter;
		this.getter = getter;
		this.ret = ret;
		this.attr = attr2;
	}

//	public FieldVirtual(Table table, de.mhus.lib.adb.DbDynamic.Field f) {
//		methodName = f.getName();
//		this.table = table;
//		this.nameOrg = methodName;
//		this.name = methodName.toLowerCase();
//		this.createName = methodName.toLowerCase();
//		this.isPrimary = f.isPrimaryKey();
//		this.ret = f.getReturnType();
//		this.attr = f.getAttributes();
//		this.dynamicField = f;
//	}

	@Override
	public void prepareCreate(Object obj)
			throws IllegalArgumentException, IllegalAccessException,
			InvocationTargetException {
	}

	@Override
	public Object getFromTarget(Object obj)
			throws IllegalArgumentException, IllegalAccessException,
			InvocationTargetException, IOException {
		return get(obj);
	}

	@Override
	public void setToTarget(DbResult res, Object obj) throws Exception {
	}

	@Override
	public void fillNameMapping(HashMap<String, Object> nameMapping) {
	}

	@Override
	public boolean isPersistent() {
		return false;
	}
}
