package de.mhus.lib.cao;

public abstract class CaoWritableElement extends CaoElement {

	protected CaoElement master;

	protected CaoWritableElement(CaoElement master) throws CaoException {
		super(master);
		this.master = master;
	}
	
	public abstract void setList(String name, CaoList value) throws CaoException;
	
	public abstract void setObject(String name, Object value) throws CaoException;

	public abstract boolean isWritable(String name);

	public abstract void save() throws CaoException;

	public abstract boolean isDirty();
		
}
