package de.mhus.lib.cao;

public interface IActionProvider {

	/**
	 * Fill the list with a set of valid actions for this list.
	 * 
	 * @param element
	 * @param targetList
	 * @param actionList
	 * @param initConfig
	 */
	void fillWithActions(CaoElement element, CaoList targetList, CaoActionList actionList,Object...initConfig);

}
