package de.mhus.lib.config;

/**
 * This interface is a marker to mark a configuration type as a flat and not hierarchical configuration. This means
 * there can't be a sub config bundle. A example for a flat structure is the PropertiesConfig.
 * 
 * @author mikehummel
 *
 */
public interface IFlatConfig {

}
