package de.mhus.lib.console;

import java.io.IOException;

import de.mhus.lib.MSingleton;
import de.mhus.lib.config.IConfig;

public class JmxConsole extends VirtualConsole {

	@SuppressWarnings("unused")
	private JmxConsoleProxy jmxProxy;

	public JmxConsole() throws IOException {
		super();
		width = 80;
		height = 40;
		IConfig config = MSingleton.instance().getConfig(this, null);
		if (config != null) {
			width = config.getInt("width",width);
			height = config.getInt("height", height);
		}
		reset();
		jmxProxy = new JmxConsoleProxy(this);
	}

}
