package de.mhus.lib.jmx;

@JmxManaged(descrition = "Float Value")
public class JmxFloat extends MJmx {

	private float value;

	public JmxFloat(String name) {
		super(true,name);
	}
	
	public JmxFloat setValue(float value) {
		this.value = value;
		return this;
	}
	
	@JmxManaged
	public float getValue() {
		return value;
	}

	public String toString() {
		return String.valueOf(value);
	}
	
}
