package de.mhus.lib.jmx;

import de.mhus.lib.MSingleton;
import de.mhus.lib.MSystem;

public class MJmx extends JmxObject {

	public MJmx() {
		this(true,MSystem.findSource(4));
	}
	
	public MJmx(boolean weak,String name) {
		if (MSingleton.instance().isJmx()) {
			try {
				setJmxName(name);
				MSingleton.instance().getJmxManager().register(this,weak);
			} catch (Exception e) {
				log().t(e);
			}
		}
	}
}
