package de.mhus.lib.logging;

import de.mhus.lib.MSingleton;
import de.mhus.lib.config.IConfig;

public class LogInitializer {

	public static Log createLogFactroy(IConfig config) throws Exception {
		
		String clazz = config.getExtracted("class");
		if (clazz != null) {
			MLog.t("create log factory",clazz);
			Log log = (Log) MSingleton.instance().getActivator().createObject(clazz, new Class<?>[] {IConfig.class}, new Object[] {config} );
			return log;
		}
		
		return null;
	}
	
}
