package de.mhus.lib.logging;

import de.mhus.lib.MSystem;

public class MLog {

	private static Log log;

	static {
		reset();
	}
	
	public static void reset() {
		log = Log.getLog("mlog");
	}
	
	public static void tt(Object ... msg) {
		if (!log.isTraceEnabled()) return;
		String src = MSystem.findSource(3);
		log.tt(src,msg);
	}
	
	public static void t(Object ... msg) {
		if (!log.isTrace()) return;
		String src = MSystem.findSource(3);
		log.t(src,msg);
	}

	public static void d(Object ... msg) {
		if (!log.isDebugEnabled()) return;
		String src = MSystem.findSource(3);
		log.d(src,msg);
	}

	public static void i(Object ... msg) {
		if (!log.isInfoEnabled()) return;
		String src = MSystem.findSource(3);
		log.i(src,msg);
	}

	public static void w(Object ... msg) {
		if (!log.isWarnEnabled()) return;
		String src = MSystem.findSource(3);
		log.w(src,msg);
	}

	public static void e(Object ... msg) {
		if (!log.isErrorEnabled()) return;
		String src = MSystem.findSource(3);
		log.e(src,msg);
	}
	
	public static void f(Object ... msg) {
		if (!log.isFatalEnabled()) return;
		String src = MSystem.findSource(3);
		log.f(src,msg);
	}
	
}
