package de.mhus.lib.parser;

import java.util.Map;

import de.mhus.lib.MString;
import de.mhus.lib.sql.parser.ICompiler;

public class ConstantPart implements ParsingPart {

	private String content;

	public ConstantPart(ICompiler compiler, String content) {
		this.content = content;
	}
	
	@Override
	public void execute(StringBuffer out, Map<String, Object> attributes) {
		out.append(content);
	}

	@Override
	public void parse(ParseReader str) throws ParseException {
	}

	@Override
	public void dump(int level, StringBuffer out) {
		MString.appendRepeating(level, ' ', out);
		out.append(getClass().getCanonicalName()).append(content);
	}


}
